import { Command } from '@oclif/command';
export default class Mock extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    run(): Promise<void>;
    private startMockServer;
    private displayRoutes;
}
